//=========================================================
//
//  ##        ###    ##    ##   #####   ##   ##  ######
//  ##       ## ##    ##  ##   ##   ##  ##   ##    ##
//  ##      ##   ##    ####    ##   ##  ##   ##    ##
//  ##      #######     ##     ##   ##  ##   ##    ##
//  ######  ##   ##     ##      #####    #####     ##
//
//=========================================================
body.single-diagnostic,
body.post-type-archive-tool,
body.post-type-archive-resource,
body.single-resource,
body.single-tool {
  .swiper {
    margin-top: 1rem;
  }
  section.intro-panel {
    @include phone() {
      margin-top: -1.6rem;
    }

    div.content {
      min-height: calc(100vh - $header_h);
      padding: 5vw;
      background: var(--vert-1);
      width: 50%;

      @include phone() {
        width: 100%;
        // height: 100%;
      }

      div.icon {
        margin-top: 1.25rem;
        width: 5rem;
        height: 5rem;
        background: #fff;
        border-radius: 5rem;

        svg {
          width: 50%;
          height: 50%;
          margin-top: 25%;
          margin-left: 25%;
        }
      }

      > h1 {
        margin: 2em 0 1em;
      }

      > p {
        font-size: 1.125rem;
      }

      > button.access-widget {
        float: right;
        margin-top: 4rem;
      }
    }
  }

  section.widget-panel {
    display: none;
    padding: 2.5rem 25vw 10rem 7.5vw;

    div.content-container {
      max-width: 660px;
    }

    @include tablet() {
      padding: 1.75rem 5rem 3.5rem 5rem;
    }

    @include phone() {
      padding: 0rem 1rem 10rem 1rem;

      &.resultats {
        padding-bottom: 5rem;
      }
    }

    header.step-title {
      // padding-top: 1.5rem;

      @include phone() {
        padding-top: 0;
      }

      ul.breadcrumbs {
        list-style: none;
        margin: 0;
        padding: 0;
        display: flex;
        flex-direction: row;

        li {
          font-size: 0.8rem;
          opacity: 0.6;

          a {
            text-decoration: none;
            color: #111;
          }

          + li {
            &:before {
              content: "❯";
              display: inline-block;
              margin: 0 0.5em;
              font-size: 0.65em;
              position: relative;
              top: -0.2em;
            }

            &.active {
              font-weight: bold;
              opacity: 1;
            }
          }
        }

        @include phone() {
          li:first-of-type {
            display: none;
          }

          li + li::before {
            display: none;
          }
        }
      }

      p {
        font-size: 1.25rem;
        margin: 1.25rem 0 2.5rem 0;
      }
    }

    &.home,
    &.resultats {
      display: block;
    }

    &.resultats {
      position: relative;

      h1 {
        margin-bottom: 4rem;
        display: flex;
        flex-direction: row;
        align-items: center;

        @include phone() {
          font-size: 1.5rem;
          margin-bottom: 3.5rem;
          margin-top: 0;
          display: block;

          span.fwn {
            display: block;
            margin-left: 0 !important;
          }
        }

        span.fwn {
          margin-left: 0.2em;

          &:before {
            content: " - ";

            @include phone() {
              display: none;
            }
          }
        }

        div.icon {
          margin-right: 0.65em;
          transform: scale(1.2);

          @include phone() {
            position: absolute;
            right: 1.25rem;
          }
        }
      }

      div.missing-data {
        @extend .block;
        @extend .bg-blanc;
        margin-top: 0;

        p {
          font-style: italic;
          margin-top: 0;
        }
      }
    }
  }
}

div.icon {
  width: 3rem;
  height: 3rem;
  background: #fff;
  border-radius: 3rem;
  font-family: var(--wp--preset--font-family--system) !important;

  svg {
    width: 50%;
    height: 50%;
    margin-top: 25%;
    margin-left: 25%;
  }

  &.with-title {
    width: auto;
    height: auto;
    border-radius: 0;
    position: relative;
    padding: 0.2rem 0.7rem 0.2rem 2.1rem;
    min-height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;

    svg {
      position: absolute;
      margin: 0;
      width: 1.6rem;
      height: 1.4rem;
      top: 0.5rem;
      left: 0.6rem;
    }

    span {
      font-size: 0.85rem;
      line-height: 1;
      position: relative;
      margin-left: 0.45rem;
    }
  }
}

//============================================
//
//   ####    ###    #####    ####     ####
//  ##      ## ##   ##  ##   ##  ##  ##
//  ##     ##   ##  #####    ##  ##   ###
//  ##     #######  ##  ##   ##  ##     ##
//   ####  ##   ##  ##   ##  ####    ####
//
//============================================
div.card-label {
  position: absolute;
  top: 1.5rem;
  left: 1.5rem;

  &.top-right {
    left: auto;
    right: 1.5rem;
  }

  &.inline {
    position: relative;
    top: 0;
    left: 0;

    @include phone() {
      left: 4.5rem;
    }
  }

  p {
    display: inline-block;
    background: rgba(0, 50, 0, 0.2);
    font-style: italic;
    padding: 0.325em 0.75em;
    font-size: 0.6875rem;
    margin: 0;
  }
}

div.card,
a.card {
  position: relative;
  padding-bottom: 7rem;
  text-decoration: none;

  &.card-big {
    > h3 {
      font-size: 1.75rem;
      margin: 0.5em 0 0.25em;
    }

    > p {
      font-size: 1.2rem;
      margin: 0;
    }

    @include phone() {
      padding-bottom: 5.5rem;

      div.card-label {
        display: none;
      }

      > h3 {
        font-size: 1.25rem;
        text-align: left;
        margin-left: 4.5rem;
      }

      > p {
        margin-left: 4.5rem;
        font-size: 1rem;
      }

      div.icon {
        top: 2rem;
        margin-top: 0;
      }
    }
  }

  h3 {
    color: #111;
    margin-top: 1em;
  }

  div.card-label + h3 {
    margin-top: 3em;
  }

  button,
  .button {
    position: absolute;
    bottom: 1.5rem;
    right: 1.5rem;
    border-color: $vert-1-dark;
    color: $vert-1-dark;

    span.icon {
      margin-left: 0.75em;
      position: relative;
      top: -0.0125em;
      display: inline-block;
      transform: scale(1.2);
    }

    svg {
      fill: $vert-1-dark;
    }

    &:hover {
      background: $vert-1-dark;
      color: $vert-1;

      svg {
        fill: $vert-1;
      }
    }
  }

  @include phone() {
    padding-bottom: 5rem;

    div.icon {
      position: absolute;
      top: 50%;
      margin-top: -1.5em;
    }

    h3 {
      // text-align: right;
      // margin: 0;
    }

    button,
    .button {
      left: auto;
      right: 1.5rem;
    }

    footer.resultats-footer & {
      h3 {
        margin: 0 0 0 5.5rem;
      }
    }
  }

  /**
   * Specifics.
   */
  &.slug-situations {
    div.icon {
      svg {
        margin-top: 22%;
      }
    }
  }
}

footer.resultats-footer {
  @include phone() {
    div.grid {
      display: grid;
      grid-template-columns: 1fr;

      div.block.step-situations {
        order: 1;
      }

      div.block.step-criteres {
        order: 3;
      }

      div.block.step-outils {
        order: 2;
      }

      div.block.step-difficultes {
        order: 4;
      }
    }
  }
}

.current-view-header {
  padding: 1.5rem;
  margin-bottom: 3rem;

  &:not(.custom-bg) {
    background: #fff;
  }

  &.noir {
    background: #111;

    > h3 {
      color: #fff;
    }
  }

  > h3 {
    margin: 0;
  }

  div.description {
    p {
      margin: 0.5rem 0 0 0;
    }
  }

  button.active {
    pointer-events: none;
  }

  div.inline-buttons {
    display: flex;
    flex-direction: row;

    button {
      flex: 1;
      text-align: left;
      font-size: 0.875rem;
    }

    @include phone() {
      display: block;

      button {
        width: 100%;

        + button {
          margin-left: 0;
          margin-top: 0.5rem;
        }
      }
    }
  }

  body.step-difficultes & {
    div.description {
      color: #fff;
      opacity: 0.9;
    }
  }

  @include phone() {
    div.description {
      display: none;
    }

    &.displaying-description div.description {
      display: block;
    }
  }
}

//===========================================================================
//
//  ###    ###  ##  ##     ##  ##   ####    ###    #####    ####     ####
//  ## #  # ##  ##  ####   ##  ##  ##      ## ##   ##  ##   ##  ##  ##
//  ##  ##  ##  ##  ##  ## ##  ##  ##     ##   ##  #####    ##  ##   ###
//  ##      ##  ##  ##    ###  ##  ##     #######  ##  ##   ##  ##     ##
//  ##      ##  ##  ##     ##  ##   ####  ##   ##  ##   ##  ####    ####
//
//===========================================================================
article.mini-card {
  cursor: pointer;
  background: #fff;
  margin-bottom: 1.5rem;
  position: relative;

  &.mini-card-dark {
    &:hover {
      color: #fff;
    }
  }

  h3 {
    font-family: var(--wp--preset--font-family--system);
  }

  > div.icon {
    border-radius: 0;
    position: absolute;
    top: 0;
    left: 0;
    width: 2rem;
    height: 2rem;

    svg {
      $w: 61;
      width: $w * 1%;
      height: $w * 1%;
      margin-top: calc((100 - $w) / 2 * 1%);
      margin-left: calc((100 - $w) / 2 * 1%);
    }
  }

  div.card-content {
    height: 100%;
    padding: 4rem 1.5rem 1.5rem;

    > p.pre-title {
      margin: 0;
      font-style: italic;
      font-size: 0.75rem;
      opacity: 0.6;
    }

    > h3 {
      font-weight: normal;
      font-size: 0.87rem;
      margin: 0.5em 0;
    }

    > button {
      margin-top: 1.5rem;
      width: 100%;
      text-align: left;
      display: flex;
      flex-direction: row;
      align-items: center;

      span.stars,
      .icon {
        margin-left: auto;
      }
    }
  }

  &.criteria {
    div.card-content {
      > h3 {
        font-weight: bold;
      }

      > button {
        span.stars {
          position: relative;
          top: -0.03em;
          font-size: 0.7em;
        }

        .icon.fleche-droite {
          transform: scale(1.5);
          position: relative;
          top: 0.1em;
        }
      }
    }

    &.selected {
      div.icon {
        background: var(--vert-1-dark);

        svg {
          fill: var(--vert-1);
        }
      }

      div.card-content {
        > button {
          pointer-events: none;
        }
      }
    }
  }

  &.tool,
  &.practice {
    div.card-content {
      > h3 {
        font-weight: bold;
      }

      > button {
        width: 100%;
      }

      ol.tools-list,
      ol.practices-list {
        list-style: none;
        padding: 0;
        margin: 1.5rem 0 0 0;
        font-size: 0.75rem;

        li {
          display: block;
          margin-bottom: 0.625rem;
          pointer-events: none;
          max-width: 100%;
          white-space: nowrap;
          overflow: hidden;
          text-overflow: ellipsis;

          &.mini-title {
            display: block;
            font-style: italic;
            opacity: 0.8;
            background: none;
            padding: 0;
            margin-bottom: 0.5em;
          }
        }
      }
    }

    &:not(.selected) {
      div.card-content {
        > button:not(:hover) {
          border-color: var(--vert-1-dark);
          color: var(--vert-1-dark);
        }
      }
    }

    &.selected {
      div.icon {
        background: var(--vert-1);

        svg {
          fill: var(--vert-1-dark);
        }
      }
    }
  }

  &.tool {
    &.selected,
    &:not(.selected):hover {
      div.card-content {
        > button {
          border-color: var(--bleu-1-dark);
          color: var(--bleu-1-dark);

          .icon {
            fill: var(--bleu-1-dark);
          }

          &:hover {
            color: var(--bleu-1);
            background-color: var(--bleu-1-dark);

            .icon {
              fill: var(--bleu-1);
            }
          }
        }
      }
    }

    &.selected {
      div.icon {
        background: transparent;

        svg {
          fill: var(--bleu-1-dark);
        }
      }

      div.card-content {
        > button:hover {
          border-color: var(--bleu-1-dark);
          background-color: var(--bleu-1-dark);
          color: var(--bleu-1);

          .icon {
            fill: var(--bleu-1);
          }
        }
      }
    }

    &:not(.selected) {
      div.icon {
        background: transparent;

        svg {
          fill: var(--bleu-1-dark);
        }
      }

      &:hover {
        div.icon {
          background: transparent;

          svg {
            fill: var(--bleu-1);
          }
        }

        div.card-content {
          > button {
            border-color: var(--bleu-1-dark);
            color: var(--bleu-1-dark);

            .icon {
              fill: var(--bleu-1-dark);
            }
          }
        }
      }
    }
  }
}

ul.ratings {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: row;

  @include phone() {
    margin-bottom: 2rem;
    position: relative;
    padding-bottom: 1.25rem;
  }

  li {
    margin: 0 0.25rem;
    font-size: 0.75rem;

    @include phone() {
      margin: 0 0.1rem;
      width: 25%;
      text-align: center;
    }

    &.legend {
      width: 4rem;
      display: flex;
      align-items: center;

      &.min {
        text-align: right;
        margin-right: 2rem;
      }

      &.max {
        margin-left: 2rem;
      }

      @include phone() {
        &.min,
        &.max {
          position: absolute;
          bottom: 0;
          margin: 0;
          display: block;
          width: 25%;
          text-align: center !important;
        }

        &.min {
          left: 0;
        }

        &.max {
          right: 0;
        }
      }
    }

    &.rating-star {
      margin: 0;

      button {
        background: transparent;
        border: none;
        appearance: none;
        position: relative;
        margin: 0 0.25em;

        @include phone() {
          margin: 0 0.1em;
          padding: 0.25em;
        }

        &:hover {
          span {
            color: var(--vert-1-dark);
          }
        }

        svg {
          margin: 0;
          width: 2.6em;
          height: 2.6em;
          fill: var(--vert-1);
        }

        span {
          position: absolute;
          font-weight: bold;
          top: 1.75em;
          left: 1.775em;
          font-size: 0.675rem;

          @include phone() {
            top: 1.4em;
            left: 1.325em;
          }
        }
      }
    }
  }
}

//======================================================
//
//  #####  ##  ##      ######  #####  #####     ####
//  ##     ##  ##        ##    ##     ##  ##   ##
//  #####  ##  ##        ##    #####  #####     ###
//  ##     ##  ##        ##    ##     ##  ##      ##
//  ##     ##  ######    ##    #####  ##   ##  ####
//
//======================================================
aside.widget-sidebar {
  div.selection > h3,
  div.topics > h3,
  div.groups > h3,
  div.practices > h3 {
    font-size: 0.75rem;
    margin-right: -2rem;
  }

  div.selection {
    margin-bottom: 2rem;

    @include phone() {
      margin-bottom: 0;
    }
  }

  p {
    font-size: 0.75rem;
  }

  button {
    font-size: 0.825rem;
  }

  div.selection,
  div.topics,
  div.groups,
  div.practices {
    ol {
      margin: 0;
      padding: 0;
      list-style: none;
      font-size: 0.75rem;

      li {
        display: block;
        margin-bottom: 0.5rem;
        margin-right: 0.5rem;
        line-height: 1.25;

        button,
        .button {
          display: flex;
          flex-direction: row;

          div.icon {
            width: 1em;
            height: 1em;
            background: none;
            border-radius: 0;
            margin-left: 0.25em;
            margin-right: 0.75em;
            position: relative;
            top: -0.02em;

            svg {
              width: 1em;
              height: 1em;
              margin: 0;
            }
          }

          span.counter {
            margin-left: 0.25em;
          }
        }
      }
    }
  }

  &.fixed-on-mobile {
    nav.mobile-step-navigation {
      display: none;
    }

    @include phone() {
      position: sticky;
      z-index: 9000;
      top: 0;
      left: 0;
      right: 0;
      padding: 0;
      background: $gris;
      // border-bottom: 1px solid var(--vert-1-dark);

      nav.mobile-step-navigation.bottom {
        display: block;
        border: none;

        header {
          display: flex;
          flex-direction: row;
        }

        button,
        .button {
          flex: 0 0 50%;
          font-size: 0.875rem;
          padding: 0.875em 0.625em;
          border: none;
          min-height: 40px;
          text-align: center;

          &:first-child {
            background: var(--vert-1-hover);
            border-left-color: var(--vert-1-hover);
            color: var(--vert-1-dark-dark);
          }

          &:last-child {
            background: #fff;
            color: var(--vert-1-dark);
          }

          + button,
          + .button {
            margin-left: 0;
          }

          &.mla {
            margin-left: auto;
          }

          &.next {
            width: 100%;
          }

          &.full-width {
            width: 100%;
            display: block;
          }
        }
      }

      div.selection {
        display: none;
      }

      div.topics,
      div.groups,
      div.practices {
        display: none;

        h3 {
          margin-top: 0;
        }
      }

      &.current-view-filters {
        nav.mobile-step-navigation {
          // padding-top: 1.5rem;
        }

        div.topics,
        div.groups {
          display: block;
          padding: 1rem;
        }
      }

      &.current-view-filters-practices {
        nav.mobile-step-navigation {
          // padding-top: 1.5rem;
        }

        div.practices {
          display: block;
          padding: 1rem;
        }
      }

      &.current-view-filters-tools {
        nav.mobile-step-navigation {
          // padding-top: 1.5rem;
        }

        div.selection {
          display: block;
          padding: 1rem;
        }
      }

      &.widget-sidebar {
        position: fixed;
        bottom: 0;
        height: auto;
        top: auto;
        width: 100vw;
        left: 0;
        right: 0;
        border-top: 1px solid var(--vert-1-dark);

        .button {
          &:only-child {
            width: 100%;
            flex: 0 0 100%;
            display: flex;
            justify-content: space-between;
          }
        }
      }
    }
  }

  @include desktop() {
    position: absolute;
    right: 3rem;
    width: 204px;
    top: 0;
    bottom: 0;
    padding-top: 5rem;
    padding-bottom: 2rem;

    .widget-sidebar__inner {
      position: sticky;
      top: calc($header_h + 1rem);
      max-height: calc(100vh - $header_h - 1rem - 5rem);
      overflow: hidden;
      overflow-y: auto;
    }
  }
}

nav.mobile-step-navigation.top {
  display: none;

  @include phone() {
    position: sticky;
    z-index: 9000;
    top: 0;
    left: 0;
    right: 0;
    padding: 0 !important;
    border-bottom: 1px solid var(--vert-1-dark);
    background: #fff;
    display: flex;
    flex-direction: row;

    header {
    }

    button,
    .button {
      flex: 0 0 50%;
      font-size: 0.875rem;
      padding: 0.875em 0.625em;
      border: none;
      min-height: 40px;
      text-align: center;

      + button,
      + .button {
        margin-left: 0;
      }

      &.mla {
        margin-left: auto;
      }

      &.full-width {
        width: 100%;
        display: block;
      }
    }
  }
}

//===========================================================
//
//  #####    #####   ####  ##   ##  ##      ######   ####
//  ##  ##   ##     ##     ##   ##  ##        ##    ##
//  #####    #####   ###   ##   ##  ##        ##     ###
//  ##  ##   ##        ##  ##   ##  ##        ##       ##
//  ##   ##  #####  ####    #####   ######    ##    ####
//
//===========================================================
aside.results-nav {
  width: 9.5rem;

  ul {
    list-style: none;
    margin: 0;
    padding: 0;

    li {
      font-size: 0.875rem;

      + li {
        margin-top: 0.5rem;
      }

      &.mini-title {
        font-size: 0.675rem;
        margin: 0 0 1rem 0;
      }

      & + li.mini-title {
        margin-top: 1rem;
      }

      @include tablet() {
        display: inline-block;
        margin-right: 0.5em;

        &.mini-title {
          display: block;
          margin-bottom: 0.125em;
        }
      }

      .button {
        width: 100%;
        text-align: left;
        display: flex;
        flex-direction: row;
        align-items: center;

        svg.icon {
          margin-left: auto;
        }
      }
    }
  }

  @include phone() {
    body.diagnostic-results &,
    body.single-tool &,
    body.single-resource & {
      display: none;
    }

    body.diagnostic-results.step-resultats & {
      display: block;
    }
  }
}

.comparison-table {
  margin-top: 3rem;

  ol,
  tbody {
    list-style: none;
    margin: 0;
    padding: 0;
    font-size: 0.875rem;

    li {
      margin: 0;
      padding: 0;
      display: flex;
      flex-direction: row;

      @include phone() {
        display: block;
      }
    }

    li.mini-title,
    thead tr {
      font-size: 0.75rem;
      margin-bottom: 1.5rem;

      div.category-header {
        flex-basis: 35%;
      }

      div.entities-header {
        flex-basis: 65%;
      }

      @include phone() {
        display: none;
      }
    }

    li.item,
    tr {
      margin-top: 0.625rem;

      .category {
        flex-basis: 35%;
        position: relative;
        padding-right: 4rem;

        > div {
          display: inline-block;
        }

        @include phone() {
          margin-bottom: 0.5rem;
          padding-right: 0;
        }

        .icon {
          width: 1.5em;
          height: 1.5em;
          position: relative;
          top: 0.4em;
          margin-right: 0.5em;
        }

        button[data-popup] {
          position: absolute;
          right: 1.5rem;
          top: 50%;
          margin-top: -1.2em;

          @include phone() {
            right: 0;
            margin-top: -1em;
          }

          svg {
            fill: #111;
          }

          &:hover {
            opacity: 0.5;

            svg {
              fill: #111;
            }
          }
        }
      }

      .entities {
        flex-basis: 65%;

        @include phone() {
          margin-bottom: 1.5rem;
        }
      }
    }
  }

  p.no-value {
    font-weight: normal;
    font-size: 0.75rem;
    font-style: italic;
    margin: 0;
  }

  &.with-3-columns {
    li.mini-title div.category-header,
    li.item div.category {
      flex-basis: 30%;
    }

    li.mini-title div.evaluation-header,
    li.item div.evaluation {
      flex-basis: 30%;

      @include phone() {
        margin-bottom: 0.5rem;
      }
    }

    li.mini-title div.entities-header,
    li.item div.entities {
      flex-basis: 40%;
    }
  }

  /**
   * Specifics.
   */
  &.criterias-tools-table {
    li.item {
      display: flex;
      flex-direction: row;
      align-items: center;

      @include phone() {
        display: block;
      }

      &.non-evaluated {
        padding-top: 0.35rem;
        padding-bottom: 0.35rem;
      }

      div.category {
        > span {
          font-weight: bold;
        }
      }
    }
  }
}

div.progress-bar-container {
  background: var(--gris);
  position: relative;
  padding: 0.6rem 0.5rem;

  div.progress-bar {
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;
    bottom: 0;
    min-width: 3rem;
  }

  span.count {
    position: relative;
    z-index: 10;
    font-size: 0.8rem;
    font-weight: bold;
  }

  div.tooltip {
    position: absolute;
    display: none;
  }
}

ol.practices-list {
  margin: 0;
  padding: 0;
  list-style: none;

  li {
    max-width: 100%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    padding: 0.4em 0.675em;
    font-size: 0.675rem;
    display: inline-block;
    background: var(--vert-1);
    margin: 0 0.5rem 0.5rem 0;
  }
}

hr {
  border: none;
  border-top: 1px solid $gris;
  margin: 1rem 0;
}

ol.list-items-selector {
  margin: 0;
  padding: 0 1.5rem 0 0;
  list-style: none;
  max-height: 20rem;
  overflow: hidden;
  overflow-y: auto;
  width: 100%;
  display: block;

  @media (max-height: 600px) {
    // max-height: 15rem;
  }

  li {
    padding: 1em;
    display: flex;
    flex-direction: row;
    margin-bottom: 0.25em;
    font-size: 0.75rem;
    align-items: center;
    cursor: pointer;
    color: $bleu-1-dark;

    &:hover {
      background: $gris;
    }

    span {
      flex: 1;
    }

    .icon {
      margin-left: auto;
      width: 1.25rem;
      height: 1.25em;
    }

    &.active {
      background: var(--vert-1);
      font-weight: normal;
    }
  }
}

ol.criterias-selector {
  margin: 0;
  padding: 0;
  list-style: none;
  max-height: 20rem;
  overflow: hidden;
  overflow-y: auto;
  padding-right: 1.5rem;
  width: 100%;

  li {
    padding: 1em 0;
    border-top: 1px solid $gris;
    display: block;
    width: 100%;

    > p.small {
      margin: 0 0 0.5em;
    }

    label {
      cursor: pointer;
      display: flex;
      flex-direction: row;
      align-items: center;

      > span.label {
        flex: 1;
        font-size: 0.9rem;
        margin-right: 0.5em;
      }

      > span.fake-toggle {
        font-size: 0.8rem;
        margin-left: auto;
      }
    }
  }
}

/**
 * Accueil résultats.
 */
body.diagnostic-results.step-resultats {
  section.widget-panel.resultats > h1 {
    margin-bottom: 1.5rem;

    @include phone() {
      width: 50%;
      margin-bottom: 0;
      min-height: 10rem;
    }
  }
}

form#diagnostic-permalink {
  div.input {
    // margin-bottom: 0;
  }
}

div.sticky-on-scroll {
  div.sticker {
    display: block;
  }

  div.placeholder {
    display: none;
  }

  @include phone() {
    div.sticker {
      display: none;
    }

    div.placeholder {
      display: block;
    }

    &.sticky {
      div.sticker {
        display: block;
        position: fixed;
        left: 2rem;
        right: 2rem;
        z-index: 9000;

        .full-width {
          margin-left: -2rem;
          margin-right: -2rem;
        }
      }

      div.placeholder {
        opacity: 0;
      }
    }
  }
}

//=================================================
//
//   #####   ##   ##  ######  ##  ##       ####
//  ##   ##  ##   ##    ##    ##  ##      ##
//  ##   ##  ##   ##    ##    ##  ##       ###
//  ##   ##  ##   ##    ##    ##  ##         ##
//   #####    #####     ##    ##  ######  ####
//
//=================================================
ul.tabs {
  margin: 0;
  padding: 0;
  list-style: none;
  display: flex;
  flex-direction: row;
  align-items: center;
  // justify-content: center;
  margin-bottom: 1rem;

  li {
    padding: 0.5rem 0.675rem;
    border-bottom: 2px solid $vert-1;
    cursor: pointer;
    font-size: 0.875rem;
    font-weight: bold;
    margin-right: 0.675rem;
    background: #fff;

    &:hover {
      background: $gris;
    }

    &.active {
      background: var(--vert-1);
      color: #111;
    }

    &.blue {
      border-bottom-color: $bleu-1;

      &.active {
        background: $bleu-1;
      }
    }
  }
}

div.tab-content {
  display: none;

  &.active {
    display: block;
  }
}

div.dual-table {
  > ol {
    margin: 0;
    padding: 0;
    list-style: none;

    > li {
      display: grid;
      grid-template-columns: 1fr 2fr;
      column-gap: 0.75rem;
      align-items: flex-start;

      @include phone() {
        grid-template-columns: 1fr;
      }

      + li {
        border-top: 1px solid $gris;
        margin-top: 0.625rem;
        padding-top: 0.625rem;
      }

      &:last-of-type {
        border-bottom: 1px solid $gris;
        padding-bottom: 0.625rem;
      }

      &.header-row {
        font-weight: normal;
        font-size: 0.825rem;

        + li {
          margin-top: 0.425rem;
        }

        @include phone() {
          display: none;

          + li.item-row {
            border-top: none;
            margin-top: 0;
            padding-top: 0;
          }
        }
      }

      div.column-1 {
        h5 {
          margin: 0.325em 0.5em 0 0;
          color: $bleu-1-dark;
          font-size: 0.9rem;
        }
      }

      div.column-2 {
        > h6 {
          display: none;

          @include phone() {
            display: block;
            font-weight: normal;
            margin: 1em 0 0.5em 0;
          }
        }
      }

      div.pb-and-button {
        display: grid;
        grid-template-columns: auto 40px;
        column-gap: 0.5rem;

        div.progress-bar-container {
          div.progress-bar {
            background: var(--bleu-1);
          }
        }

        button {
          text-align: center;
          width: 40px;
          padding: 0;

          svg.icon {
            margin: 0;
            // scale: 1.6;
            transition: 0.2s all ease-out;
            position: relative;
            top: 0.15em;
            width: 25px;
            height: 25px;
          }

          &:hover {
            svg.icon {
              fill: white;
            }
          }

          &.revealing {
            svg.icon {
              rotate: 180deg;
              top: 0.1em;
            }
          }
        }
      }

      ol.details-list {
        display: none;
        margin: 0;
        padding: 0.5rem 0;

        li {
          font-size: 0.825rem;
          color: $bleu-1-dark;
          display: flex;
          flex-direction: row;
          align-items: center;
          font-weight: normal;
          margin-top: 0.5em;

          svg.icon {
            fill: $bleu-1;
            width: 1.6em;
            height: 1.6em;
            margin-right: 0.5em;
          }
        }
      }
    }
  }

  &.for-tools {
    ol li {
      div.pb-and-button {
        div.progress-bar-container {
          div.progress-bar {
            background: $vert-1;
          }
        }
      }

      ol.details-list {
        li {
          svg.icon {
            fill: $vert-1;
          }
        }
      }
    }
  }
}

div#resultats-outils-comparaison-container {
  .row {
    display: grid;
    grid-template-columns: calc(26% - 0.75rem) calc(37% - 0.75rem) calc(
        37% - 0.75rem
      );
    column-gap: 1.5rem;
    font-size: 0.75rem;

    @include phone() {
      grid-template-columns: calc(50% - 0.75rem) calc(50% - 0.75rem);

      .col3 {
        display: none;
      }
    }
  }

  nav.mobile-picker {
    display: none;

    @include phone() {
      display: block;

      h5 {
        margin: 0 0 0.5em;
      }

      button.dropdown {
        margin: 0;
      }
    }
  }

  header.table-preheader {
    h6 {
      margin: 0;
      font-weight: normal;
      font-size: 0.75rem;
    }

    @include phone() {
      // display: none;

      &.mobile-only {
        // display: block;
        margin-bottom: 0.5rem;
      }
    }
  }

  header.table-header {
    @include phone() {
      display: none;
    }

    div.row {
      // border-top: 1px solid $gris;
      padding-bottom: 0.5rem;
      margin-top: 0.5rem;
    }
  }

  button.dropdown {
    display: flex;
    width: 100%;
    flex-direction: row;
    align-items: center;
    font-size: 0.875rem;

    > span {
      // Only 1 line with text ellipsis.
      overflow: hidden;
      text-overflow: ellipsis;
      white-space: nowrap;
    }

    svg.icon {
      margin-left: auto;
      width: 1.5em;
      height: 1.5em;
    }
  }

  div.table-body {
    .row {
      border-top: 1px solid $gris;
      padding: 0.5rem 0;
    }

    div.col1 {
      height: 100%;

      p {
        margin: 0;
        color: $bleu-1-dark;
        font-weight: bold;
        position: relative;
        // padding-left: 1.325em;
        height: 100%;
        display: flex;
        flex-direction: row;
        align-items: center;

        span.index {
          font-weight: normal;
          margin-right: 0.5em;
          // position: absolute;
          // left: 0;
          // top: 0;
        }

        span.text {
          overflow: hidden;
          text-overflow: ellipsis;
          white-space: nowrap;
          display: block;
        }
      }
    }

    .cell {
      margin: 0 0.5rem;

      @include phone() {
        margin: 0;
      }
    }
  }

  footer.table-footer {
    div.row {
      border-top: 1px solid $gris;
      padding: 0.5rem 0;

      @include phone() {
        display: block;
      }
    }

    p {
      color: #818181;
      font-size: 0.75rem;
      line-height: 1.4;
    }
  }
}

body.step-resultats-outils {
  div.buttons {
    display: flex;
    flex-direction: row;

    @include phone() {
      display: block;
    }

    button.button {
      flex-basis: calc(50% - 0.75rem);
      text-align: left;

      .icon {
        margin-right: 0.25em;
      }

      + button.button {
        margin-left: auto;

        @include phone() {
          margin-top: 0.5rem;
        }
      }

      @include phone() {
        margin: 0;
        width: 100%;
      }
    }
  }

  .cell.type-usage,
  .cell.type-term {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 0.5rem;
    background: #ececec;
    color: $bleu-1-dark;

    @media print {
      padding: 0;
      word-break: break-all;
    }

    svg.icon {
      fill: $bleu-1-dark;
      width: 1.4em;
      height: 1.4em;
      margin-right: 0.75rem;

      @media print {
        display: none;
      }
    }
  }

  .cell.type-usage {
    &.satisfaction__2,
    &.frequency__2 {
      background: $vert-1;
    }

    &.satisfaction__-1,
    &.frequency__1 {
      background: $jaune-1;
    }
  }

  .cell.type-term {
    text-align: center;
    justify-content: center;

    &.yes {
      background: $vert-1;
      color: $vert-1-dark;
    }

    &.no {
      color: #111;

      svg.icon {
        fill: #111;
      }
    }
  }
}
